wiki:InstalledPackages

This page is *so* outdated, it's dangerous to look at it!

These are the packages that must be installed. Assuming Debian 3.1 stable.

Where there are directories or files mentioned that means we have customized some of the files there so if you are copying to a new machine or restoring from backup make sure you keep that in mind.

postfix

/etc/postfix/

postfix-gld

/etc/gld.conf

libc patch

mysql-server

mysql-client

read gld README to see how to create tables

python-2.3

python-2.3-subversion

python-2.1

python-2.4

libxslt1

apache

/etc/apache/

libapache-modphp4

xemacs21

vim

/etc/aliases

/home/

/project/

/custom/

webalizer

/etc/webalizer.conf

/etc/cron.daily/webalizer (added -Q to silence it)

mrtg

/usr/local/bin/

/etc/mrtg.cfg

websvn

/etc/websvn/

darcs

darcsweb

/custom/pak/darcsweb

/usr/lib/cgi-bin/darcsweb

tla (arch)

/etc/inetd.conf

cvs

cvsd

/var/lib/cvsd/etc/passwd

mkdir /var/lib/cvsd/project

/etc/cvs-pserver.conf

cvsweb

/etc/cvsweb.conf

viewcvs

/etc/viewcvs/

archzoom

/etc/archzoom (note there are dot files in that directory)

integrit

/etc/integrit/

/etc/skel/ (dot files)

/etc/init.d/

gnupg

checkbot

rsync

/etc/rsyncd.conf

/etc/default/rsync

proftpd

/etc/proftpd.conf

(remember to update IP address)

/etc/init.d/lisppaste

(remember to update-rc.d)

/etc/init.d/update-mailstats

(remember to update-rc.d)

/root/.bashrc

mailman

symlink /var/lib/mailman/{data,lists,archives} to /custom/sys/mailman/mailman/

manually apply /custom/pak/mailman/HTMLFormatter.py-patch /usr/lib/mailman/Mailman/HTMLFormatter.py

/etc/mailman/

/usr/lib/mailman/cron/nightly_gzip (shuts it up)

spamassassin

/etc/default/spamassassin

fix up /etc/hosts and /etc/hostname

/etc/passwd

/etc/shadow

/etc/group

ntp-simple

cvs-mailcommit

/var/lock

bc

makepasswd

/var/spool/cron/cronjobs

lists which the new clnet admin must change owners on:

mailman

clo-*

announcements

admin

/etc/logrotate.d/clnet

libxml2-utils

xsltproc

tcsh

lsof

make

python2.3-clearsilver (Trac)

locales (making sure to enable en_US 8859-1 for lisppaste)

trac (this will pull in all dependencies for the trac in /custom, uninstall the debian trac afterwards - we need newer version)

cvs2svn

remove python2.3-setuptools, install one in /custom/pak/trac

/etc/cron.monthly/proftpd /etc/logrotate.d/apache

Last modified 4 years ago Last modified on 02/07/15 10:53:21